Groups
Get Group
Returns a Group by ID
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
group_id*string
Query Parameters
include_removed_memberships?boolean
If true, include full membership history on the response.
Default
falseResponse Body
application/json
application/json
curl -X GET "https://api.members.dev/v1/groups/string"{
"id": "ugrp_01KKSMB47VYGW97GFE67VGDK7M",
"name": "VIP",
"description": "string",
"member_count": 0,
"created_at": null,
"updated_at": null,
"members": [
{
"user_id": "usr_01KKSMB47VYGW97GFE67VGDK7M",
"membership_id": "ugm_01KKSMB47VYGW97GFE67VGDK7M",
"joined_at": null
}
],
"membership_history": [
{
"membership_id": "string",
"user_id": "string",
"joined_at": null,
"removed_at": {}
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}